Автор Тема: Ошибка при установке Adobe Acrobat Reader в alt p9 mate сборка 20190627  (Прочитано 11723 раз)


Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 402
    • Домашняя страница
    • Email
А там есть требуемые сонеймы libstdc++?
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 6 154
ldd /opt/Adobe/Reader9/Reader/intellinux/bin/acroread
        linux-gate.so.1 =>  (0x005b7000)
        libBIB.so => not found
        libBIBUtils.so => not found
        libACE.so => not found
        libAGM.so => not found
        libCoolType.so => not found
        libAXE8SharedExpat.so => not found
        libJP2K.so => not found
        libAdobeXMP.so => not found
        libpthread.so.0 => /lib/libpthread.so.0 (0x00d55000)
        libicuuc.so.36 => not found
        libssl.so.0.9.8 => not found
        libcrypto.so.0.9.8 => not found
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00dc3000)
        libm.so.6 => /lib/libm.so.6 (0x00d7d000)
        libdl.so.2 => /lib/libdl.so.2 (0x00d4e000)
        libgdk_pixbuf_xlib-2.0.so.0 => /usr/lib/libgdk_pixbuf_xlib-2.0.so.0 (0x00926000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x0264d000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x006fe000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x007e2000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00172000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x005f1000)
        libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00220000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x0026d000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x003b6000)
        libc.so.6 => /lib/libc.so.6 (0x00bb5000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00801000)
        libResAccess.so => not found
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x005b9000)
        /lib/ld-linux.so.2 (0x565f4000)
        libz.so.1 => /lib/libz.so.1 (0x004f2000)
        libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x00937000)
        libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00da9000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00192000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00daf000)
        librt.so.1 => /lib/librt.so.1 (0x00d72000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x001ba000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x006eb000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00506000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x001c6000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x0063a000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x006d7000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x005e6000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x001f0000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x007d1000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x007bb000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x006f2000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x007cc000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x007c7000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0x001f3000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x0038a000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x00586000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00a5b000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00af4000)
        libexpat.so.1 => /lib/libexpat.so.1 (0x0066f000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x0021b000)

И откуда этот libidn вообще в топике возник?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 402
    • Домашняя страница
    • Email
Андрей Черепанов (cas@)

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 7 766
Сегодня в Sisyphus приехало:

libidn1.34 - Internationalized Domain Name support library
* Wed Jul 24 2019 Grigory Ustinov <grenka@altlinux> 1.34-alt1
- Build old version for support of legacy software.

Оффлайн N0rbert

  • Давно тут
  • **
  • Сообщений: 113
Других свежих тем про Adobe Acrobat Reader 9.5.5 (acroread) на форуме я не нашел, поэтому пишу здесь.

По состоянию на сегодня на p9 и p10 со всеми установленными обновлениями после выполнения команды из wiki

Цитировать
apt-get install http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i486linux_enu.rpm

и попытки запуска Acrobat Reader из терминала получается такой вывод:

Цитировать
$ acroread
terminate called after throwing an instance of 'ASErrException'
Aborted

Анализ вывода strace -f acroread показал, что нужно установить еще один 32-х битный пакет командой

apt-get install i586-glibc-gconv-modules

А оставшееся после этого предупреждение

Цитировать
(acroread:PRPID): Gtk-WARNING **: HH:MM:SS.mmm: Unable to locate theme engine in module_path: "murrine",

убирается установкой соответствующего пакета

apt-get install i586-libgtk-engine-murrine

После этого  Adobe Reader можно использовать нативно с его глобальным поиском и другими фишками.